/// <reference types="request-promise-native" />
import * as re from "request-promise-native";
import { ISdkInitConfig, BlockIndex, Tx } from "../types";
declare class EtherscanAgent {
    private cfg;
    constructor(cfg: ISdkInitConfig);
    private doGet(params, path?);
    /** Relative to Health Check */
    ping(): re.RequestPromise;
    /** Relative to Block */
    getLatestBlockNum(): re.RequestPromise;
    getBlock(number: BlockIndex, returnTransactionObjects?: boolean): re.RequestPromise;
    /** Relative to Gas */
    gasPrice(): re.RequestPromise;
    estimateGas(tx: Tx): re.RequestPromise;
    /** Relative to Account */
    getBalance(address: string, defaultBlock?: BlockIndex): re.RequestPromise;
    getTransactionCount(address: string, defaultBlock?: BlockIndex): re.RequestPromise;
    /** Relative to Transaction */
    callTransaction(tx: Tx, defaultBlock?: BlockIndex): re.RequestPromise;
    getTransactionFromBlock(number: BlockIndex, index: number): re.RequestPromise;
    sendSignedTransaction(txSigned: string): Promise<never>;
    getTransaction(txHash: string): re.RequestPromise;
    getTransactionReceipt(txHash: string): re.RequestPromise;
}
export { EtherscanAgent };
