const { EtherscanAgent } = require("../dist");
const { safeGetSync } = require("../dist/safe-call");
const { env } = require("process");
const { expect } = require("chai");

const api = new EtherscanAgent({
    host: env['TEST_HOST'],
    port: Number.parseInt(env['TEST_PORT']),
    connectTimeoutInMills: 10 * 1000,
    schema: env['TEST_SCHEMA']
})

describe('EtherscanAgentSDK', () => {
    it('should success to ping', async () => {
        const resp = JSON.parse(await api.ping())
        expect(resp).property('code').to.equal(0)
        expect(resp).property('data').to.equal('pong')
    })

    it('should success to get latest block number', async () => {
        const resp = JSON.parse(await api.getLatestBlockNum())
        expect(resp).property('result').match(/^0x[0-9a-f]+$/)
    })
})